# Uses of Interface
org.eclipse.debug.core.ILaunchConfigurationType

Packages that use ILaunchConfigurationType
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.

## Uses of ILaunchConfigurationType in org.eclipse.debug.core

Methods in org.eclipse.debug.core that return ILaunchConfigurationType
Modifier and Type
Method
Description
`ILaunchConfigurationType`
ILaunchManager.`getLaunchConfigurationType(String id)`
Returns the launch configuration type extension with the specified id, or `null` if it does not exist.
`ILaunchConfigurationType[]`
ILaunchManager.`getLaunchConfigurationTypes()`
Returns all defined launch configuration type extensions
`ILaunchConfigurationType`
ILaunchConfiguration.`getType()`
Returns the type of this launch configuration.
Methods in org.eclipse.debug.core with parameters of type ILaunchConfigurationType
Modifier and Type
Method
Description
`ILaunchConfiguration[]`
ILaunchManager.`getLaunchConfigurations(ILaunchConfigurationType type)`
Returns all launch configurations of the specified type defined in the workspace
`ILaunchConfiguration[]`
ILaunchManager.`getLaunchConfigurations(ILaunchConfigurationType type, int kinds)`
Returns all launch configurations of the specified type defined in the workspace of the specified kind(s) (configurations and/or prototypes).

## Uses of ILaunchConfigurationType in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type ILaunchConfigurationType
Modifier and Type
Method
Description
`static String`
DebugUITools.`getLaunchPerspective(ILaunchConfigurationType type, String mode)`
Returns the perspective to switch to when a configuration of the given type is launched in the given mode, or `null` if no switch should take place.
`static String`
DebugUITools.`getLaunchPerspective(ILaunchConfigurationType type, ILaunchDelegate delegate, Set<String> modes)`
Returns the perspective id to switch to when a configuration of the given type launched with the specified delegate is launched in the given mode set, or `null` if no switch should occurr.
`static void`
DebugUITools.`setLaunchPerspective(ILaunchConfigurationType type, String mode, String perspective)`
Sets the perspective to switch to when a configuration of the given type is launched in the given mode.
`static void`
DebugUITools.`setLaunchPerspective(ILaunchConfigurationType type, ILaunchDelegate delegate, Set<String> modes, String perspectiveid)`
Sets the perspective to switch to when a configuration of the specified type and launched using the specified launch delegate is launched in the specified modeset.